<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>AreaEval (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AreaEval (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AreaEval.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/AreaEval.html" target="_top">Frames</a>
        </li>
        <li><a href="AreaEval.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.eval</div>
    <h2 title="Interface AreaEval" class="title">Interface AreaEval</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                           title="interface in org.apache.poi.ss.formula">SheetRange</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                            title="interface in org.apache.poi.ss.formula">ThreeDEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                            title="interface in org.apache.poi.ss.formula">TwoDEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                           title="class in org.apache.poi.ss.formula.eval">AreaEvalBase</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/CacheAreaEval.html"
                            title="class in org.apache.poi.ss.formula">CacheAreaEval</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">AreaEval</span>
extends <a href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
           title="interface in org.apache.poi.ss.formula">TwoDEval</a>, <a
                            href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                            title="interface in org.apache.poi.ss.formula">ThreeDEval</a></pre>
                <div class="block">Evaluation of 2D (Row+Column) and 3D (Sheet+Row+Column) areas</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#contains-int-int-">contains</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">returns true if the cell at row and col specified
                                        as absolute indexes in the sheet is contained in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#containsColumn-int-">containsColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">returns true if the specified col is in range</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#containsRow-int-">containsRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">returns true if the specified row is in range</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getAbsoluteValue-int-int-">getAbsoluteValue</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getFirstColumn--">getFirstColumn</a></span>()</code>
                                    <div class="block">returns the 0-based index of the first col in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getFirstRow--">getFirstRow</a></span>()</code>
                                    <div class="block">returns the 0-based index of the first row in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getHeight--">getHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getLastColumn--">getLastColumn</a></span>()</code>
                                    <div class="block">returns the 0-based index of the last col in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getLastRow--">getLastRow</a></span>()</code>
                                    <div class="block">returns the 0-based index of the last row in
                                        this area.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getRelativeValue-int-int-">getRelativeValue</a></span>(int&nbsp;relativeRowIndex,
                                    int&nbsp;relativeColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#getWidth--">getWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html#offset-int-int-int-int-">offset</a></span>(int&nbsp;relFirstRowIx,
                                    int&nbsp;relLastRowIx,
                                    int&nbsp;relFirstColIx,
                                    int&nbsp;relLastColIx)</code>
                                    <div class="block">Creates an <a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                            title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a>
                                        offset by a relative amount from from the upper left cell
                                        of this area
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.ThreeDEval">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html"
                                        title="interface in org.apache.poi.ss.formula">ThreeDEval</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/ThreeDEval.html#getValue-int-int-int-">getValue</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.TwoDEval">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                        title="interface in org.apache.poi.ss.formula">TwoDEval</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getColumn-int-">getColumn</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getRow-int-">getRow</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getValue-int-int-">getValue</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#isColumn--">isColumn</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#isRow--">isRow</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#isSubTotal-int-int-">isSubTotal</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.SheetRange">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetRange.html"
                                        title="interface in org.apache.poi.ss.formula">SheetRange</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/SheetRange.html#getFirstSheetIndex--">getFirstSheetIndex</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/SheetRange.html#getLastSheetIndex--">getLastSheetIndex</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFirstRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstRow</h4>
                                <pre>int&nbsp;getFirstRow()</pre>
                                <div class="block">returns the 0-based index of the first row in
                                    this area.
                                </div>
                            </li>
                        </ul>
                        <a name="getLastRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastRow</h4>
                                <pre>int&nbsp;getLastRow()</pre>
                                <div class="block">returns the 0-based index of the last row in
                                    this area.
                                </div>
                            </li>
                        </ul>
                        <a name="getFirstColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstColumn</h4>
                                <pre>int&nbsp;getFirstColumn()</pre>
                                <div class="block">returns the 0-based index of the first col in
                                    this area.
                                </div>
                            </li>
                        </ul>
                        <a name="getLastColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastColumn</h4>
                                <pre>int&nbsp;getLastColumn()</pre>
                                <div class="block">returns the 0-based index of the last col in
                                    this area.
                                </div>
                            </li>
                        </ul>
                        <a name="getAbsoluteValue-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAbsoluteValue</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getAbsoluteValue(int&nbsp;row,
                           int&nbsp;col)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ValueEval from within this area at the specified row and col index. Never
                                        <code>null</code> (possibly <a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                                title="class in org.apache.poi.ss.formula.eval"><code>BlankEval</code></a>).
                                        The specified indexes should be absolute
                                        indexes in the sheet and not relative indexes within the area.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="contains-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>contains</h4>
                                <pre>boolean&nbsp;contains(int&nbsp;row,
                 int&nbsp;col)</pre>
                                <div class="block">returns true if the cell at row and col specified
                                    as absolute indexes in the sheet is contained in
                                    this area.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> -</dd>
                                    <dd><code>col</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsColumn</h4>
                                <pre>boolean&nbsp;containsColumn(int&nbsp;col)</pre>
                                <div class="block">returns true if the specified col is in range</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsRow</h4>
                                <pre>boolean&nbsp;containsRow(int&nbsp;row)</pre>
                                <div class="block">returns true if the specified row is in range</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidth</h4>
                                <pre>int&nbsp;getWidth()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getWidth--">getWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>int&nbsp;getHeight()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html#getHeight--">getHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/TwoDEval.html"
                                                title="interface in org.apache.poi.ss.formula">TwoDEval</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelativeValue-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelativeValue</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>&nbsp;getRelativeValue(int&nbsp;relativeRowIndex,
                           int&nbsp;relativeColumnIndex)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ValueEval from within this area at the specified relativeRowIndex and
                                        relativeColumnIndex. Never <code>null</code> (possibly <a
                                                href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                                title="class in org.apache.poi.ss.formula.eval"><code>BlankEval</code></a>).
                                        The
                                        specified indexes should relative to the top left corner of this area.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="offset-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>offset</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">AreaEval</a>&nbsp;offset(int&nbsp;relFirstRowIx,
                int&nbsp;relLastRowIx,
                int&nbsp;relFirstColIx,
                int&nbsp;relLastColIx)</pre>
                                <div class="block">Creates an <a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval"><code>AreaEval</code></a>
                                    offset by a relative amount from from the upper left cell
                                    of this area
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AreaEval.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
               title="class in org.apache.poi.ss.formula.eval"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/AreaEval.html" target="_top">Frames</a>
        </li>
        <li><a href="AreaEval.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
